Post by OSWorX » Mon Jan 07, 2019 5:14 pm

Summary for the 3.0.3.x release

Please use this thread for all issues related to the 3.0.3.x release.

First of all, if you think that you have found a bug, please check before posting here the issue tracker at GitHub (maybe a report exist already): OpenCart Guthub Issues
Second, when you post, write always the exact OpenCart Version you are using (e.g. 3.0.3.0 or 3.0.3.1) - that makes a bug difference.
Third, do not forget to write if any additional extensions are used, modifications made and which template.

Forum Rules [en]: viewtopic.php?f=176&t=200480
Forumregeln [de]: viewtopic.php?f=37&t=114208
Commercial Request: viewforum.php?f=88

Image


User avatar
Expert Member

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by ADD Creative » Mon Jan 07, 2019 11:04 pm

From the comments on https://github.com/opencart/opencart/issues/7130 It seems that 3.0.3.x will still have most of the bugs that 3.0.2.0 had. Although there are some worthwhile fixes included.

www.add-creative.co.uk


Active Member

Posts

Joined
Sat Jan 14, 2012 1:02 am
Location - United Kingdom

Post by OSWorX » Wed Jan 09, 2019 4:09 pm

As reported here, VQMod does not work with the latest version: viewtopic.php?f=10&p=743780#p743780
Beside this: since 2.x some similiar like VQMod is already included in the core: OCMod

So there is really no need to install an additoinal tool which does primary the same!
And if an extension relies on VQMod only, forget is.

Forum Rules [en]: viewtopic.php?f=176&t=200480
Forumregeln [de]: viewtopic.php?f=37&t=114208
Commercial Request: viewforum.php?f=88

Image


User avatar
Expert Member

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by Johnathan » Wed Jan 09, 2019 11:57 pm

Some of us vastly prefer how vQmod works, so getting it fixed would be nice. My extensions use ocMod, but for my own installations I still use vQmod, it's way easier to use.

Image
Image Image Image Image


User avatar
Global Moderator

Posts

Joined
Fri Dec 18, 2009 3:08 am


Post by kestas » Thu Jan 10, 2019 12:38 am

Johnathan wrote:
Wed Jan 09, 2019 11:57 pm
Some of us vastly prefer how vQmod works, so getting it fixed would be nice. My extensions use ocMod, but for my own installations I still use vQmod, it's way easier to use.
yes more easier... I agree.

Custom OpenCart modules and solutions. Just PM me... Extensions you can find here


Active Member

Posts

Joined
Tue Oct 12, 2010 2:23 am

Post by trueliar » Thu Jan 10, 2019 10:27 am

we use intensively vqmod since it's faster for the development. OCmode (no offense) is a boring headache for several reason (A big waste of time during development)

New member

Posts

Joined
Sat Jan 11, 2014 12:09 am

Post by glolar » Thu Jan 10, 2019 2:37 pm

Hello all,

I don't know if this bug has been fixed after 3.0.3.1 (I didn't see it mentioned anywhere in the forum), so I am posting about it here. Curious to know if anyone else can replicate this error. It doesn't occur in 3.0.2.0.

Go to Catalog > Products, then select a product (checkbox), then click the Copy button at the upper right of the page. I get the following error:

"Fatal error: Uncaught Exception: Error: Duplicate entry '0' for key 'PRIMARY'<br />Error No: 1062<br />INSERT INTO `oc_product_advertise_google` (`product_id`, `store_id`, `google_product_category`) SELECT p.product_id, p2s.store_id, (SELECT c2gpc.google_product_category FROM `oc_product_to_category` p2c LEFT JOIN `oc_category_path` cp ON (p2c.category_id = cp.category_id) LEFT JOIN `oc_category_to_google_product_category` c2gpc ON (c2gpc.category_id = cp.path_id AND c2gpc.store_id = 0) WHERE p2c.product_id = p.product_id AND c2gpc.google_product_category IS NOT NULL ORDER BY cp.level DESC LIMIT 0,1) as `google_product_category` FROM `oc_product` p LEFT JOIN `oc_product_to_store` p2s ON (p2s.product_id = p.product_id AND p2s.store_id = 0) LEFT JOIN `oc_product_advertise_google` pag ON (pag.product_id = p.product_id AND pag.store_id=p2s.store_id) WHERE pag.product_id IS NULL AND p2s.store_id IS NOT NULL AND p.product_id IN (63) in /home/glolarco/public_html/artstore/system/library/db/mysqli.php:40 Stack trace: #0 /home/glo in /home/glolarco/public_html/artstore/system/library/db/mysqli.php on line 40"

The rest of the page is white screen. If you click your browser's Back button, then refresh your browser, you will see that the selected product actually did get copied (thankfully), and you can proceed normally from there (edit the new product, then save it, etc.).

It sure looks like, from the error message anyway, that the issue has something to do with the new Google Shopping module added in 3.0.3.x

By the way, I have not enabled the Google Shopping module (under Advertising), so not sure why I would even get this error.

Curious to know if anyone else is having this issue.

Regards!

User avatar
Active Member

Posts

Joined
Thu Jul 29, 2010 12:35 pm
Location - San Diego, CA

Active Member

Posts

Joined
Sat Jan 14, 2012 1:02 am
Location - United Kingdom

Post by OSWorX » Thu Jan 10, 2019 8:34 pm

glolar wrote:
Thu Jan 10, 2019 2:37 pm
Hello all,

I don't know if this bug has been fixed after 3.0.3.1 (I didn't see it mentioned anywhere in the forum), so I am posting about it here. Curious to know if anyone else can replicate this error. It doesn't occur in 3.0.2.0.
Bug already reported, see: https://github.com/opencart/opencart/issues/7133

Forum Rules [en]: viewtopic.php?f=176&t=200480
Forumregeln [de]: viewtopic.php?f=37&t=114208
Commercial Request: viewforum.php?f=88

Image


User avatar
Expert Member

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by OSWorX » Thu Jan 10, 2019 8:36 pm

Sad to say, but as it seems, OpenCart 3.0.3.1 should not be used for production mode.
Because of a few bugs introduced (beside that, a few old bugs are not already solved).
Hopefully a new release with fixes will be released soon!

Forum Rules [en]: viewtopic.php?f=176&t=200480
Forumregeln [de]: viewtopic.php?f=37&t=114208
Commercial Request: viewforum.php?f=88

Image


User avatar
Expert Member

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by delalibera » Fri Jan 11, 2019 9:38 am

In Opencart 3.0 in Extensions a text is appearing "coming soon!"

According to the image.

Attachments

download.png

download.png (127.96 KiB) Viewed 344 times


Newbie

Posts

Joined
Tue Feb 07, 2017 12:35 am

Post by JNeuhoff » Sun Jan 13, 2019 12:31 am

OSWorX wrote:
Wed Jan 09, 2019 4:09 pm
As reported here, VQMod does not work with the latest version: viewtopic.php?f=10&p=743780#p743780
Beside this: since 2.x some similiar like VQMod is already included in the core: OCMod

So there is really no need to install an additoinal tool which does primary the same!
And if an extension relies on VQMod only, forget is.
There are many reasons why extensions still use VQmod.
Anyway, our Integrated VQMod works just fine for OpenCart 3.0.3.x, in case anybody still needs to use VQmod.
In general I'd say at some stage 3rd party extension developers should seriously think about rewriting their extensions with the goal of getting away from XML-based modification systems like OCmod or VQmod. It's much better to use event handlers where possible for modifying the OpenCart core.

MHC Web Design
Override Engine * Integrated VQMod * Multilingual SEO * Instant Option Price Calculator * TrustPilot Reviews * Google Rich Snippets * Google Tag Manager * Export/Import Tool * Template Switcher PHP/Twig


User avatar
Expert Member

Posts

Joined
Wed Dec 05, 2007 3:38 am

Who is online

Users browsing this forum: No registered users and 7 guests